%This will enable peak data streaming, open the streaming port, and then
%stream as many samples as specified.

address = '10.0.41.3';
scanRate = 10;
peakStreamingDivider = 1;
numberOfScans = 10;
hyperionInstrument = hCOMMOpenConnection(address, 'commandPort', 1);

%response = hACQSetLaserScanSpeed(hyperionInstrument, scanRate);
%disp(char(response.message'))
response = hACQSetPeakStreamingDivider(hyperionInstrument, peakStreamingDivider);
disp(char(response.message'))
response = hACQSetEnablePeakDataStreaming(hyperionInstrument, 1);
disp(char(response.message'))

hyperionInstrumentPeakStreamer = hCOMMOpenConnection(address, 'peakStream', 1);
serialNumbers = zeros(1, numberOfScans);
for scan = 1:numberOfScans
    [peaks, header] = hACQGetStreamingPeaks(hyperionInstrumentPeakStreamer,1);
    serialNumbers(scan) = double(header.serialNumber);
end
if max(diff(serialNumbers)) == 1
    disp('No dropped samples detected')
end

response = hACQSetEnablePeakDataStreaming(hyperionInstrument, 0);
hCOMMCloseConnection(hyperionInstrumentPeakStreamer);
hCOMMCloseConnection(hyperionInstrument);